#! /bin/python3

import socket
import time
import numpy as np

from coapthon.client.helperclient import HelperClient
from coapthon.client.superviseur import (SuperviseurGlobal,
                                         SuperviseurLocalFiltre)
from coapthon.utils import parse_uri
from utils_learning import RequettePeriodique


host, port, path = parse_uri("coap://polaris.kokarde.fr/basic")
try:
    tmp = socket.gethostbyname(host)
    host = tmp
except socket.gaierror:
    pass

nombreCapteur = 25
periodeRequette = 1
periodeControl = 15

clients = [HelperClient(server=(host, port)) for _ in range(nombreCapteur)]
super_g = SuperviseurGlobal(clients, SuperviseurLocalFiltre)

requests = [RequettePeriodique(client, periodeRequette, path, name="Spamer {}".format(
            n)) for n, client in enumerate(clients)]
[request.start() for request in requests]

for _ in range(10):
    super_g.reset()
    time.sleep(periodeControl)
    print(super_g.state)
